<?php 
use Codeception\Util\Locator;

//$I = new TestCase($scenario);
//$I->TestCase();

$I = new AcceptanceTester($scenario);
$I->auth();

/*$I->waitForElement(Locator::contains('span', 'Вся ВШ'), 10); // sec
$I->click(Locator::contains('span', 'Вся ВШ'));
$I->click(Locator::contains('a', 'Админ-панель'));
//$I->wait('5');
$I->wantTo('go to create a new programm in the next tab');
$I->switchToNextTab(1);
$I->waitForElement(Locator::contains('a', 'Программы'), 10);
$I->click('Программы');
//$I->wait('5');
$I->waitForElement(Locator::contains('a', 'Добавить'), 10);
$I->click('Добавить');
$I->wait('2');
//$I->fillField('login','sbs-support');
//$I->waitForElement(Locator::contains('element-name'), 10); надо исправить и сделать wait 
//$I->click('element-name');
$I->wantTo('give a name for a new programm');
$I->fillField('name','Программа для автотеста');
//$I->click(Locator::contains('input', 'select2-selection__rendered')); // secs
$I->wantTo('select a management level');
$I->click('ul.select2-selection__rendered');
$I->wait('1');
//$I->waitForElement(Locator::contains('li', 'Все уровни'), 10);
$I->click('[class="select2-results__option select2-results__option--highlighted"]');
$I->wantTo('select a program cover');
$I->click('[class="program_cover blue_moderate"]');//тык по картинке обложки
$I->click('Сохранить');
$I->wait('2');
$I->amGoingTo('created program');
$I->amOnPage('/admin/programs');
$I->waitForElement(Locator::contains('a', 'Программа для автотеста'), 10);
$I->click('Программа для автотеста');
$I->wantTo('create a new stream');
$I->waitForElement(Locator::contains('a', 'Добавить'), 10);
$I->click('Добавить');
$I->wait('5');
$I->wantTo('give a name for a new stream');
$I->fillField('name','Поток для автотеста');
$I->wantTo('select the visible checkbox');
$I->checkOption('#main-form-block > form > div > div.panel-body > div:nth-child(6) > div > input[type=checkbox]:nth-child(2)');
$I->wait('5');
$I->wantTo('select the realm');
$I->click('ul.select2-selection__rendered');
$I->wait('1');
$I->click('ul.select2-selection__rendered');
$I->click('[class="select2-results__option select2-results__option--highlighted"]');
$I->wait('2');
$I->click('Сохранить');
$I->wait('2');
$I->amGoingTo('go to created stream');
$I->amOnPage('/admin/programs/548/streams');
$I->waitForElement(Locator::contains('a', 'Поток для автотеста'), 10);
$I->click('Поток для автотеста');
$I->wait('5');
$I->wantTo('create a new module');
$I->waitForElement(Locator::contains('a', 'Добавить модуль'), 10);
$I->click('Добавить модуль');
$I->wait('5');
$I->wantTo('give a name for a new module');
$I->fillField('name','Модуль для автотеста');
$I->click('Сохранить');
$I->wait('5');
$I->wantTo('create a new section');
$I->click('#app > div > div:nth-child(3) > div.roadmap > div.roadmap__body > div > div.roadmap-table__wrap > div:nth-child(2) > div > div:nth-child(3)');
$I->wait('5');
$I->wantTo('give a name for a new section');
$I->fillField('name','Раздел 1');
$I->click('Сохранить');
$I->wait('5');
$I->wantTo('create a new step');
$I->click('#app > div > div:nth-child(3) > div.roadmap > div.roadmap__body > div > div.roadmap-table__wrap > div:nth-child(3) > div > div:nth-child(3) > a > i.fa.fa-plus');
$I->wait('5');
$I->wantTo('give a name for a new step');
$I->fillField('name','Шаг 1');
$I->click('Сохранить');
$I->wait('5');
$I->wantTo('create a new activity');
$I->click('#app > div > div:nth-child(3) > div.roadmap > div.roadmap__body > div > div.roadmap-table__wrap > div:nth-child(4) > div > div:nth-child(2) > div > a > i');*/
/*$I->amGoingTo('created step');
$I->amOnPage('/admin/programs/548/streams/808/items/12048/content#');
$I->wantTo('create a new activity');
$I->waitForElement(Locator::contains('a', 'Добавить активити'), 10);
$I->click('#app > div:nth-child(2) > div.px-content-btn > button.btn.btn-default.js-content-activity-add.btn-primary');
$I->wait('5');
$I->wantTo('create a link');
$I->click('Ссылка');
$I->wait('2');
$I->click('#activities-types > div > div.streamitems__grid > div:nth-child(2) > div > div.promo__button-wrap > a');
$I->wait('5');
$I->fillField('name','Активити ссылка');
$I->wait('2');
$I->fillField('url','http://yandex.ru');
$I->wait('2');
$I->click('#link-activity > div > div.panel-body > div:nth-child(14) > select');
$I->click('#link-activity > div > div.panel-body > div:nth-child(14) > select > option:nth-child(1)');
$I->click('Сохранить');
$I->wait('10');